## kig 25.04.3

=== kig/CMakeLists.txt ===

include_directories(  ${CMAKE_CURRENT_BINARY_DIR}/..  )


# kig

set(kig_SRCS
  main.cpp
  kig.cpp
  kig.h

  kig.qrc
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kig.png")
ecm_add_app_icon(kig_SRCS ICONS ${ICONS_SRCS})
add_executable(kig ${kig_SRCS})

target_link_libraries(kig KF5::Parts KF5::ConfigCore KF5::Crash)

install(TARGETS kig ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(APPLE)
    set_target_properties(kig PROPERTIES
        MACOSX_BUNDLE_DISPLAY_NAME "Kig"
        MACOSX_BUNDLE_BUNDLE_NAME "Kig"
        MACOSX_BUNDLE_LONG_VERSION_STRING "Kig ${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kig"
        MACOSX_BUNDLE_COPYRIGHT "2002-2024 The Kig Developers")

endif()

########### install files ###############

install( PROGRAMS org.kde.kig.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

ecm_install_icons(ICONS
  22-apps-kig.png
  16-apps-kig.png
  32-apps-kig.png
  64-apps-kig.png
  48-apps-kig.png
  128-apps-kig.png
  sc-apps-kig.svgz
  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor
)

=== debian/changelog ===
kig (4:25.04.3-0ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:59 +0200

kig (4:25.04.3-0ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:34 +0200

kig (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:44:30 +0100

kig (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:47:21 +0100

kig (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:07:31 +0100

kig (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:50:33 +0100

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 1.7~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.1~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev,
               pkg-kde-tools (>> 0.15.15),
               pkgconf,
               python3:any,
               qtbase5-dev (>= 5.4),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Suggests: khelpcenter
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 25.08.0

=== debian/changelog ===
kig (4:25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 23:10:16 +0000

kig (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:40:30 +0000

kig (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:20:49 +0000

kig (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:21:06 +0000

kig (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:10:24 +0000

kig (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:14:11 +0000

kig (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:36:12 +0000

kig (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:25:47 +0000

kig (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:17:40 +0000

kig (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:12:55 +0000

kig (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:14:11 +0000

kig (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:59:40 +0000

kig (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:28:55 +0000

kig (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:31:48 +0000

kig (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:07:53 +0000

kig (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:29:41 +0000

kig (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:19:54 +0000

kig (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:12:27 +0000

kig (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:52:42 +0000

kig (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 16:44:48 +0000

kig (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:27:40 +0000

kig (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 22:56:13 +0000

kig (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:59:11 +0000

kig (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:48:38 +0000

kig (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:28:22 +0000

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               libboost-python-dev (>= 1.71~),
               libcups2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               python3:any,
               qt6-base-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kig
Vcs-Git: https://invent.kde.org/neon/kde/kig.git
Vcs-Browser: https://invent.kde.org/neon/kde/kig
Maintainer: Neon CI <neon@kde.org>

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 25.08.1

=== debian/changelog ===
kig (4:25.08.1-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:44:13 +0000

kig (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:08:17 +0000

## kig 25.08.1+p24.04+vstable+git20250921.0551

=== debian/changelog ===
kig (4:25.08.1+p24.04+vstable+git20250921.0551-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 05:51:41 +0000

## kig 25.08.1+p24.04+vstable+git20251001.0041

=== debian/changelog ===
kig (4:25.08.1+p24.04+vstable+git20251001.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:41:42 +0000

## kig 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kig VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.4.2")
set(KF_MIN_VERSION "6.13.0")

set(KDE_COMPILERSETTINGS_LEVEL "5.84")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(KF6Parts ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
find_package(KF6TextEditor ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
find_package(Qt6Svg ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt6PrintSupport ${QT_REQUIRED_VERSION} REQUIRED)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KIG VERSION_HEADER kig_version.h)

add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_KEYWORDS)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

include(KigConfigureChecks.cmake)

find_package(BoostPython)

if(KF6DocTools_FOUND)
  add_subdirectory( doc )
endif()

add_subdirectory( icons )
add_subdirectory( kig )
add_subdirectory( mimetypes )
add_subdirectory( macros )
add_subdirectory( pykig )

if(BoostPython_FOUND)
  add_subdirectory( scripting )
  add_definitions(-DKIG_ENABLE_PYTHON_SCRIPTING)
  get_filename_component(PYTHON_LIBRARY_REALPATH "${PYTHON_LIBRARY}" REALPATH)
  get_filename_component(LIB_PYTHON ${PYTHON_LIBRARY_REALPATH} NAME)
  add_definitions(-DLIB_PYTHON="${LIB_PYTHON}")
endif()

set_package_properties(
   BoostPython PROPERTIES
   DESCRIPTION "Python scripting support in Boost"
   URL "https://www.boost.org/"
   TYPE OPTIONAL
   PURPOSE "Kig can optionally use Boost.Python for Python scripting"
)

if(QT_VERSION_MAJOR LESS 6)
   set_package_properties(
      Qt${QT_MAJOR_VERSION}XmlPatterns PROPERTIES
      DESCRIPTION "Qt${QT_MAJOR_VERSION} XmlPatterns Module"
      URL "https://qt.io/"
      TYPE OPTIONAL
      PURPOSE "Kig uses the XML Patterns module in Qt to support Geogebra files"
   )
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include_directories( ${CMAKE_SOURCE_DIR}/modes )
if(BoostPython_FOUND)
  include_directories(${BoostPython_INCLUDE_DIRS})
endif()

# kigpart

set(kigpart_PART_SRCS
   objects/angle_type.cc
   objects/arc_type.cc
   objects/base_type.cc
   objects/bogus_imp.cc
   objects/centerofcurvature_type.cc
   objects/circle_imp.cc
   objects/circle_type.cc
   objects/common.cc
   objects/conic_imp.cc
   objects/conic_types.cc
   objects/cubic_imp.cc
   objects/cubic_type.cc
   objects/curve_imp.cc
   objects/intersection_types.cc
   objects/inversion_type.cc
   objects/line_imp.cc
   objects/line_type.cc
   objects/locus_imp.cc
   objects/object_calcer.cc
   objects/object_drawer.cc
   objects/object_factory.cc
   objects/object_holder.cc
   objects/object_imp.cc
   objects/object_imp_factory.cc
   objects/object_type.cc
   objects/object_type_factory.cc
   objects/other_imp.cc
   objects/other_type.cc
   objects/point_imp.cc
   objects/point_type.cc
   objects/polygon_imp.cc
   objects/polygon_type.cc
   objects/bezier_imp.cc
   objects/bezier_type.cc
   objects/special_imptypes.cc
   objects/tangent_type.cc
   objects/tests_type.cc
   objects/text_imp.cc
   objects/text_type.cc
   objects/transform_types.cc
   objects/vector_type.cc
   misc/argsparser.cpp
   misc/builtin_stuff.cc
   misc/calcpaths.cc
   misc/common.cpp
   misc/conic-common.cpp
   misc/coordinate.cpp
   misc/coordinate_system.cpp
   misc/cubic-common.cc
   misc/equationstring.cc
   misc/goniometry.cc
   misc/guiaction.cc
   misc/kigcoordinateprecisiondialog.cpp
   misc/kigfiledialog.cc
   misc/kiginputdialog.cc
   misc/kignumerics.cpp
   misc/kigpainter.cpp
   misc/kigtransform.cpp
   misc/lists.cc
   misc/object_constructor.cc
   misc/object_hierarchy.cc
   misc/rect.cc
   misc/screeninfo.cc
   misc/special_constructors.cc
   misc/unit.cc
   modes/base_mode.cc
   modes/construct_mode.cc
   modes/dragrectmode.cc
   modes/edittype.cc
   modes/historydialog.cc
   modes/label.cc
   modes/linkslabel.cpp
   modes/macro.cc
   modes/macrowizard.cc
   modes/mode.cc
   modes/moving.cc
   modes/normal.cc
   modes/popup/popup.cc
   modes/popup/objectchooserpopup.cc
   modes/popup/propertiesactionsprovider.cc
   modes/popup/objectchooserpopup.cc
   modes/popup/objecttypeactionsprovider.cc
   modes/popup/nameobjectactionsprovider.cc
   modes/popup/objectconstructoractionsprovider.cc
   modes/popup/builtindocumentactionsprovider.cc
   modes/popup/builtinobjectactionsprovider.cc
   modes/textlabelwizard.cc
   modes/typesdialog.cpp
   filters/asyexporter.cc
   filters/asyexporteroptions.cc
   filters/asyexporterimpvisitor.cc
   filters/cabri-filter.cc
   filters/cabri-utils.cc
   filters/drgeo-filter.cc
   filters/exporter.cc
   filters/filter.cc
   filters/filters-common.cc
   filters/imageexporteroptions.cc
   filters/kgeo-filter.cc
   filters/kseg-filter.cc
   filters/latexexporter.cc
   filters/latexexporteroptions.cc
   filters/native-filter.cc
   filters/pgfexporterimpvisitor.cc
   filters/svgexporter.cc
   filters/svgexporteroptions.cc
   filters/xfigexporter.cc
   kig/kig_commands.cpp
   kig/kig_document.cc
   kig/kig_part.cpp
   kig/kig_view.cpp
   kig/kig_part.qrc
   objects/angle_type.h
   objects/arc_type.h
   objects/base_type.h
   objects/bogus_imp.h
   objects/centerofcurvature_type.h
   objects/circle_imp.h
   objects/circle_type.h
   objects/common.h
   objects/conic_imp.h
   objects/conic_types.h
   objects/cubic_imp.h
   objects/cubic_type.h
   objects/curve_imp.h
   objects/intersection_types.h
   objects/inversion_type.h
   objects/line_imp.h
   objects/line_type.h
   objects/locus_imp.h
   objects/object_calcer.h
   objects/object_drawer.h
   objects/object_factory.h
   objects/object_holder.h
   objects/object_imp.h
   objects/object_imp_factory.h
   objects/object_type.h
   objects/object_type_factory.h
   objects/other_imp.h
   objects/other_type.h
   objects/point_imp.h
   objects/point_type.h
   objects/polygon_imp.h
   objects/polygon_type.h
   objects/bezier_imp.h
   objects/bezier_type.h
   objects/special_imptypes.h
   objects/tangent_type.h
   objects/tests_type.h
   objects/text_imp.h
   objects/text_type.h
   objects/transform_types.h
   objects/vector_type.h
   misc/argsparser.h
   misc/builtin_stuff.h
   misc/calcpaths.h
   misc/common.h
   misc/conic-common.h
   misc/coordinate.h
   misc/coordinate_system.h
   misc/cubic-common.h
   misc/equationstring.h
   misc/goniometry.h
   misc/guiaction.h
   misc/kigcoordinateprecisiondialog.h
   misc/kigfiledialog.h
   misc/kiginputdialog.h
   misc/kignumerics.h
   misc/kigpainter.h
   misc/kigtransform.h
   misc/lists.h
   misc/object_constructor.h
   misc/object_hierarchy.h
   misc/rect.h
   misc/screeninfo.h
   misc/special_constructors.h
   misc/unit.h
   modes/base_mode.h
   modes/construct_mode.h
   modes/dragrectmode.h
   modes/edittype.h
   modes/historydialog.h
   modes/label.h
   modes/linkslabel.h
   modes/macro.h
   modes/macrowizard.h
   modes/mode.h
   modes/moving.h
   modes/normal.h
   modes/popup/popup.h
   modes/popup/objectchooserpopup.h
   modes/popup/propertiesactionsprovider.h
   modes/popup/objectchooserpopup.h
   modes/popup/objecttypeactionsprovider.h
   modes/popup/nameobjectactionsprovider.h
   modes/popup/objectconstructoractionsprovider.h
   modes/popup/builtindocumentactionsprovider.h
   modes/popup/builtinobjectactionsprovider.h
   modes/textlabelwizard.h
   modes/typesdialog.h
   filters/asyexporter.h
   filters/asyexporteroptions.h
   filters/asyexporterimpvisitor.h
   filters/cabri-filter.h
   filters/cabri-utils.h
   filters/drgeo-filter.h
   filters/exporter.h
   filters/filter.h
   filters/filters-common.h
   filters/imageexporteroptions.h
   filters/kgeo-filter.h
   filters/kseg-filter.h
   filters/latexexporter.h
   filters/latexexporteroptions.h
   filters/native-filter.h
   filters/pgfexporterimpvisitor.h
   filters/svgexporter.h
   filters/svgexporteroptions.h
   filters/xfigexporter.h
   kig/kig_commands.h
   kig/kig_document.h
   kig/kig_part.h
   kig/kig_view.h
)

if (Qt${QT_MAJOR_VERSION}XmlPatterns_FOUND)
  set(kigpart_PART_SRCS ${kigpart_PART_SRCS}
  geogebra/geogebratransformer.cpp
  geogebra/geogebrasection.cpp
  filters/geogebra-filter.cpp)
  qt_add_resources(kigpart_PART_SRCS ${CMAKE_SOURCE_DIR}/geogebra/geogebra.qrc)
  add_definitions(-DWITH_GEOGEBRA=1)
endif()

ki18n_wrap_ui(kigpart_PART_SRCS
   modes/typeswidget.ui
   modes/edittypewidget.ui
   modes/historywidget.ui
   filters/asyexporteroptionswidget.ui
   filters/imageexporteroptionswidget.ui
   filters/latexexporteroptionswidget.ui
   filters/svgexporteroptionswidget.ui
   misc/kigcoordinateprecisiondialog.ui
)

if(BoostPython_FOUND)
  set(kigpart_PART_SRCS ${kigpart_PART_SRCS}
     modes/popup/scriptactionsprovider.cc
     scripting/newscriptwizard.cc
     scripting/python_scripter.cc
     scripting/python_type.cc
     scripting/script-common.cc
     scripting/script_mode.cc
  )

  kde_source_files_enable_exceptions(scripting/python_scripter.cc)
endif()


add_library(kigpart MODULE ${kigpart_PART_SRCS})
generate_export_header(kigpart)

target_link_libraries(kigpart
  Qt::Gui
  Qt::Svg
  Qt::PrintSupport
  KF6::Crash
  KF6::Parts
  KF6::I18n
  KF6::TextEditor
  KF6::IconThemes
  KF6::IconWidgets
  KF6::ConfigWidgets
  KF6::Archive
)

if(BoostPython_FOUND)
  target_link_libraries(kigpart ${BoostPython_LIBRARIES} KF6::TextEditor)
endif()

if (Qt${QT_MAJOR_VERSION}XmlPatterns_FOUND)
  target_link_libraries(kigpart Qt::XmlPatterns)
endif()

ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()
install(TARGETS kigpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/parts)
install(FILES org.kde.kig.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# unit tests
if (BUILD_TESTING)
  add_subdirectory(tests)
endif ()

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== icons/CMakeLists.txt ===

ecm_install_icons(ICONS
  32-actions-square.png
  22-actions-intersection.png
  22-actions-centerofcurvature.png
  22-actions-rbezier4.png
  sc-actions-conicasymptotes.svgz
  22-actions-point.png
  32-actions-coniclineintersection.png
  32-actions-translation.png
  32-actions-tangent.png
  sc-actions-conicb5p.svgz
  22-actions-rbezier3.png
  sc-actions-square.svgz
  sc-actions-bisection.svgz
  32-actions-perpendicular.png
  22-actions-perpendicular.png
  32-actions-circlebps.png
  sc-actions-segment_midpoint.svgz
  sc-actions-segment_golden_point.svgz
  32-actions-genericaffinity.png
  sc-actions-bezier4.svgz
  32-actions-ellipsebffp.png
  22-actions-convexhull.png
  sc-actions-circlelineintersection.svgz
  32-actions-inversion.png
  sc-actions-equilateralhyperbolab4p.svgz
  sc-actions-bezier3.svgz
  16-actions-kig_xfig.png
  32-actions-directrix.png
  sc-actions-distance.svgz
  22-actions-similitude.png
  22-actions-bezierN.png
  32-actions-rbezier4.png
  22-actions-inversion.png
  22-actions-distance.png
  32-actions-rotation.png
  32-actions-segmentaxis.png
  sc-actions-paint.svgz
  22-actions-bisection.png
  32-actions-hexagonbcv.png
  sc-actions-sizer.svgz
  32-actions-curvelineintersection.png
  32-actions-convexhull.png
  sc-actions-centerofcurvature.svgz
  sc-actions-inversion.svgz
  32-actions-locus.png
  32-actions-areaCircle.png
  sc-actions-harmonichomology.svgz
  22-actions-kig_polygon.png
  22-actions-vectordifference.png
  sc-actions-rbezier3.svgz
  22-actions-hexagonbcv.png
  32-actions-kig_polygon.png
  32-actions-triangle.png
  32-actions-rbezierN.png
  sc-actions-hyperbolabffp.svgz
  32-actions-pointOnLine.png
  22-actions-line.png
  22-actions-segment.png
  22-actions-circlelineintersection.png
  22-actions-circlebpd.png
  32-actions-bezier4.png
  32-actions-bisection.png
  sc-actions-curvelineintersection.svgz
  32-actions-vector.png
  22-actions-vector.png
  32-actions-stretch.png
  22-actions-vectorsum.png
  22-actions-arc_center.png
  22-actions-arc.png
  22-actions-view_fit_to_page.png
  sc-actions-parallel.svgz
  32-actions-python.png
  sc-actions-circlebcp.svgz
  22-actions-polygonvertices.png
  sc-actions-perpendicular.svgz
  sc-actions-line.svgz
  32-actions-parallel.png
  32-actions-arc.png
  32-actions-openpolygon.png
  22-actions-segmentaxis.png
  sc-actions-tangent.svgz
  32-actions-testcollinear.png
  sc-actions-test.svgz
  32-actions-kig_numericvalue.png
  32-actions-attacher.png
  sc-actions-baseCircle.svgz
  32-actions-w.png
  22-actions-angle_bisector.png
  32-actions-equitriangle.png
  22-actions-attacher.png
  sc-actions-attacher.svgz
  32-actions-genericprojectivity.png
  32-actions-circlebcl.png
  sc-actions-rbezierN.svgz
  sc-actions-testdistance.svgz
  22-actions-harmonichomology.png
  32-actions-conicasymptotes.png
  22-actions-coniclineintersection.png
  22-actions-slope.png
  sc-actions-testorthogonal.svgz
  32-actions-angle_bisector.png
  22-actions-circlebcl.png
  32-actions-arc_center.png
  22-actions-controlpolygon.png
  sc-actions-hexagonbcv.svgz
  sc-actions-segmentaxis.svgz
  32-actions-parabolabtp.png
  sc-actions-vectordifference.svgz
  sc-actions-areaCircle.svgz
  22-actions-baseCircle.png
  32-actions-linebyvector.png
  22-actions-sizer.png
  22-actions-bezier3.png
  sc-actions-conicsradicalline.svgz
  22-actions-square.png
  22-actions-genericaffinity.png
  32-actions-testcontains.png
  22-actions-segment_midpoint.png
  22-actions-segment_golden_point.png
  32-actions-kig_text.png
  22-actions-conicasymptotes.png
  22-actions-directrix.png
  sc-actions-circlebpd.svgz
  22-actions-locus.png
  22-actions-ray.png
  sc-actions-polygonsides.svgz
  22-actions-w.png
  22-actions-circumference.png
  sc-actions-centralsymmetry.svgz
  32-actions-bezierN.png
  32-actions-circumference.png
  32-actions-point.png
  22-actions-equilateralhyperbolab4p.png
  32-actions-paint.png
  sc-actions-directrix.svgz
  22-actions-python.png
  22-actions-testdistance.png
  22-actions-conicsradicalline.png
  32-actions-halflinebyvector.png
  22-actions-areaCircle.png
  sc-actions-kig_numericvalue.svgz
  sc-actions-halflinebyvector.svgz
  22-actions-paint.png
  22-actions-bezier4.png
  32-actions-projection.png
  22-actions-triangle.png
  22-actions-openpolygon.png
  32-actions-rbezier3.png
  22-actions-parallel.png
  sc-actions-parabolabtp.svgz
  22-actions-testparallel.png
  22-actions-polygonsides.png
  32-actions-circlebtp.png
  sc-actions-genericprojectivity.svgz
  32-actions-scale.png
  32-actions-beziercurves.png
  32-actions-vectordifference.png
  sc-actions-python.svgz
  22-actions-pointOnLine.png
  sc-actions-equitriangle.svgz
  22-actions-angle.png
  32-actions-hyperbolabffp.png
  22-actions-pointxy.png
  32-actions-polygonvertices.png
  22-actions-hyperbolabffp.png
  32-actions-controlpolygon.png
  32-actions-slope.png
  sc-actions-linebyvector.svgz
  sc-actions-arc.svgz
  sc-actions-ray.svgz
  22-actions-beziercurves.png
  22-actions-testcontains.png
  22-actions-ellipsebffp.png
  22-actions-stretch.png
  sc-actions-scale.svgz
  sc-actions-intersection.svgz
  22-actions-kig_text.png
  sc-actions-point.svgz
  sc-actions-similitude.svgz
  sc-actions-vector.svgz
  sc-actions-coniclineintersection.svgz
  22-actions-translation.png
  32-actions-bezier3.png
  22-actions-radicalline.png
  32-actions-vectorsum.png
  32-actions-centerofcurvature.png
  sc-actions-openpolygon.svgz
  sc-actions-circlebcl.svgz
  22-actions-rbezierN.png
  32-actions-polygonsides.png
  sc-actions-locus.svgz
  22-actions-tangent.png
  32-actions-sizer.png
  32-actions-harmonichomology.png
  22-actions-testcollinear.png
  22-actions-en.png
  32-actions-conicb5p.png
  32-actions-distance.png
  22-actions-circlebtp.png
  22-actions-kig_numericvalue.png
  sc-actions-vectorsum.svgz
  32-actions-line.png
  32-actions-testdistance.png
  sc-actions-kig_text.svgz
  32-actions-angle.png
  sc-actions-angle.svgz
  sc-actions-controlpolygon.svgz
  22-actions-parabolabtp.png
  sc-actions-w.svgz
  22-actions-test.png
  22-actions-curvelineintersection.png
  32-actions-test.png
  22-actions-equitriangle.png
  32-actions-mirrorpoint.png
  32-actions-centralsymmetry.png
  sc-actions-mirrorpoint.svgz
  sc-actions-triangle.svgz
  sc-actions-genericaffinity.svgz
  sc-actions-segment.svgz
  sc-actions-bezierN.svgz
  sc-actions-radicalline.svgz
  32-actions-segment_midpoint.png
  32-actions-segment_golden_point.png
  sc-actions-slope.svgz
  32-actions-ray.png
  22-actions-projection.png
  32-actions-testparallel.png
  sc-actions-translation.svgz
  sc-actions-pointxy.svgz
  22-actions-circlebcp.png
  32-actions-segment.png
  sc-actions-convexhull.svgz
  sc-actions-testcontains.svgz
  sc-actions-en.svgz
  sc-actions-arc_center.svgz
  22-actions-genericprojectivity.png
  22-actions-testorthogonal.png
  22-actions-rotation.png
  sc-actions-pointOnLine.svgz
  sc-actions-beziercurves.svgz
  32-actions-pointxy.png
  22-actions-mirrorpoint.png
  32-actions-equilateralhyperbolab4p.png
  sc-actions-kig_polygon.svgz
  32-actions-en.png
  22-actions-scale.png
  32-actions-angle_size.png
  32-actions-testorthogonal.png
  22-actions-centralsymmetry.png
  32-actions-baseCircle.png
  sc-actions-angle_size.svgz
  sc-actions-circlebtp.svgz
  32-actions-circlelineintersection.png
  32-actions-circlebcp.png
  22-actions-angle_size.png
  22-actions-linebyvector.png
  sc-actions-rotation.svgz
  22-actions-conicb5p.png
  32-actions-intersection.png
  sc-actions-circlebps.svgz
  32-actions-conicsradicalline.png
  sc-actions-testparallel.svgz
  sc-actions-stretch.svgz
  22-actions-circlebps.png
  32-actions-similitude.png
  sc-actions-projection.svgz
  sc-actions-circumference.svgz
  sc-actions-ellipsebffp.svgz
  sc-actions-angle_bisector.svgz
  sc-actions-polygonvertices.svgz
  32-actions-radicalline.png
  22-actions-halflinebyvector.png
  sc-actions-rbezier4.svgz
  32-actions-circlebpd.png
  sc-actions-testcollinear.svgz
  DESTINATION ${KDE_INSTALL_DATADIR}/kig/icons
  THEME hicolor
)

=== kig/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
   main.cpp
   kig.cpp
   kig.h
-
   kig.qrc
 )
 
@@ -16,7 +15,7 @@
 ecm_add_app_icon(kig_SRCS ICONS ${ICONS_SRCS})
 add_executable(kig ${kig_SRCS})
 
-target_link_libraries(kig KF5::Parts KF5::ConfigCore KF5::Crash)
+target_link_libraries(kig KF6::Parts KF6::ConfigCore KF6::Crash KF6::I18n)
 
 install(TARGETS kig ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -28,7 +27,7 @@
         MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
         MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
         MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kig"
-        MACOSX_BUNDLE_COPYRIGHT "2002-2024 The Kig Developers")
+        MACOSX_BUNDLE_COPYRIGHT "2002-2025 The Kig Developers")
 
 endif()

=== macros/CMakeLists.txt ===
install(FILES
   circle_by_center_and_line.kigt
   circle_by_point_and_diameter.kigt
   equitriangle.kigt
   evolute.kigt
   osculating_circle.kigt
   square.kigt
   vector_difference.kigt
   DESTINATION ${KDE_INSTALL_DATADIR}/kig/builtin-macros)

=== debian/changelog ===
kig (4:25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Oct 2025 09:17:28 +0100

kig (4:25.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.08.2).
  * Build with Qt6, update build-deps and deps with the info from cmake.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 25 Oct 2025 00:01:37 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf6archive-dev (>= 6.13.0~),
               libkf6configwidgets-dev (>= 6.13.0~),
               libkf6coreaddons-dev (>= 6.13.0~),
               libkf6crash-dev (>= 6.13.0~),
               libkf6i18n-dev (>= 6.13.0~),
               libkf6iconthemes-dev (>= 6.13.0~),
               libkf6parts-dev (>= 6.13.0~),
               libkf6texteditor-dev (>= 6.13.0~),
               libkf6xmlgui-dev (>= 6.13.0~),
               pkg-kde-tools (>> 0.15.15),
               pkgconf,
               python3:any,
               qt6-base-dev,
               qt6-svg-dev,
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/kig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf6,python3

## kig 25.08.2+p24.04+vstable+git20251011.2125

=== debian/changelog ===
kig (4:25.08.2+p24.04+vstable+git20251011.2125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 21:26:02 +0000

kig (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:02:08 +0000

## kig 25.08.2+p24.04+vstable+git20251020.0536

=== debian/changelog ===
kig (4:25.08.2+p24.04+vstable+git20251020.0536-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:36:57 +0000

## kig 25.08.2+p24.04+vstable+git20251031.0719

=== debian/changelog ===
kig (4:25.08.2+p24.04+vstable+git20251031.0719-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:19:37 +0000

## kig 25.08.2+p24.04+vstable+git20251031.0934

=== debian/changelog ===
kig (4:25.08.2+p24.04+vstable+git20251031.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:34:17 +0000

## kig 25.08.2+p24.04+vunstable+git20251015.0714

=== debian/changelog ===
kig (4:25.08.2+p24.04+vunstable+git20251015.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:14:42 +0000

## kig 25.08.2+p24.04+vunstable+git20251020.1307

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kig (4:25.08.2+p24.04+vunstable+git20251020.1307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:07:53 +0000

## kig 25.08.3

=== doc/CMakeLists.txt ===
########### install files ###############
#

#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kig)
kdoctools_create_manpage(man-kig.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== scripting-api/CMakeLists.txt ===




########### install files ###############





#original Makefile.am contents follow:

## generate the Kig Python Scriptin APIdocs from the Kig source code
#
#all-local: build-kig-python-scripting-apidocs
#build-kig-python-scripting-apidocs:
##	cat $(srcdir)/Doxyfile.scripting-api.in | sed -e 's#KIGVERSION#@KIGVERSION@#g' | sed -e 's#TOPSRCDIR#$(top_srcdir)#g' | sed -e 's#SRCDIR#$(srcdir)#g' > Doxyfile.scripting-api
#	doxygen Doxyfile.scripting-api

=== debian/changelog ===
kig (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:14:49 +0000

kig (4:25.08.2-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 31 Oct 2025 13:41:51 +0000

kig (4:25.08.2-2) unstable; urgency=medium

  * Team upload.
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - add the dh-sequence-python3 build dependency to use the python3 addon
      automatically
    - drop the dh-python, and pkg-kde-tools build dependencies, no more
      explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 6.4.2
    - add libkf6doctools-dev, needed for the documentation
    - drop kinit-dev, which is KF5

 -- Pino Toscano <pino@debian.org>  Thu, 30 Oct 2025 06:37:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-python3,
                extra-cmake-modules (>= 6.13.0~),
                gettext,
-               kinit-dev,
                libboost-python-dev (>= 1.71~),
                libkf6archive-dev (>= 6.13.0~),
                libkf6configwidgets-dev (>= 6.13.0~),
                libkf6coreaddons-dev (>= 6.13.0~),
                libkf6crash-dev (>= 6.13.0~),
+               libkf6doctools-dev (>= 6.13.0~),
                libkf6i18n-dev (>= 6.13.0~),
                libkf6iconthemes-dev (>= 6.13.0~),
                libkf6parts-dev (>= 6.13.0~),
                libkf6texteditor-dev (>= 6.13.0~),
                libkf6xmlgui-dev (>= 6.13.0~),
-               pkg-kde-tools (>> 0.15.15),
                pkgconf,
                python3:any,
-               qt6-base-dev,
-               qt6-svg-dev,
+               qt6-base-dev (>= 6.4.2~),
+               qt6-svg-dev (>= 6.4.2~),
 Standards-Version: 4.7.2
 Homepage: https://edu.kde.org/kig
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

## kig 25.08.3+p24.04+vunstable+git20251201.0245

=== debian/changelog ===
kig (4:25.08.3+p24.04+vunstable+git20251201.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:45:48 +0000

kig (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:07 +1000

## kig 25.08.3+p24.04+vunstable+git20251206.0842

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
 set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
kig (4:25.08.3+p24.04+vunstable+git20251206.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:42:24 +0000

## kig 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})

=== scripting-api/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 #original Makefile.am contents follow:
 
-## generate the Kig Python Scriptin APIdocs from the Kig source code
+## generate the Kig Python Scripting APIdocs from the Kig source code
 #
 #all-local: build-kig-python-scripting-apidocs
 #build-kig-python-scripting-apidocs:

=== debian/changelog ===
kig (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:52:44 +0000

## kig 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kig (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:06:03 +0000

## kig 25.12.0

=== debian/changelog ===
kig (4:25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 15:16:25 +0000

kig (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:39:33 +1000

## kig 25.12.0+p24.04+vstable+git20260105.0903

=== debian/changelog ===
kig (4:25.12.0+p24.04+vstable+git20260105.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:03:15 +0000

## kig 25.12.1

=== debian/changelog ===
kig (4:25.12.1-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:43:46 +0000

kig (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:59 +1000

## kig 25.12.1+p24.04+vstable+git20260127.1030

=== debian/changelog ===
kig (4:25.12.1+p24.04+vstable+git20260127.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 10:30:19 +0000

## kig 25.12.1+p24.04+vstable+git20260130.1204

=== debian/changelog ===
kig (4:25.12.1+p24.04+vstable+git20260130.1204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:04:53 +0000

## kig 25.12.1+p24.04+vunstable+git20260130.1433

=== debian/changelog ===
kig (4:25.12.1+p24.04+vunstable+git20260130.1433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:33:21 +0000

## kig 25.12.2

=== debian/changelog ===
kig (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:23:49 +0000

kig (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:19:27 +0100

kig (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 20:58:44 +0000

kig (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:04:29 +0000

kig (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:21:50 +0000
